<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_a7fdbac2a6d0ebb5bb8ea569e8173d" . "7b" => base64_decode("IiBmb3IgZ" . "GF0ZSBmaW" . "VsZCA="), "_fa96cdf5" . "8bff3b069" . "5fb2bc080" . "3d7b12" => base64_decode("IGRvZXMgbm" . "90IGV4aXN0"), "_bd71c3b" . "5c201fc1" . "1db82ed1" . "4ce424de" . "5" => base64_decode("aW5f" . "YXJy" . "YXk="), "_66a6b98e1f" . "1601e30de10" . "feb344fcdb6" => base64_decode("SW52YWxpZCB2YWx1ZS" . "Ai"), "_4b4a03dbe69a4c39db014be" . "2875a7313" => base64_decode("Tm9uLW51bWVyaWMgdmF" . "sdWUgIg=="), "_bb26699a6733" . "61ff7c17444a2" . "a82deba" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3IgZG9jdW1lbnQgbGluayBmaWVsZCA" . "="), "_62d701c3c53404f06345eb3572" . "0a47b4" => base64_decode("aXNfbn" . "VtZXJp" . "Yw=="), "_ac927f4168510971a59508f1f08cf9" . "8a" => base64_decode("L15cZHs4" . "fSQv"), "_dc99f29eb97c27" . "4b4e47f6701fb2d" . "842" => base64_decode("TWV0YWRhdGE" . "gZmllbGQg"), "_535e3fcb3f5d89c525bb618a08cc8" . "dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJ" . "lIGVpdGhlciBhIGRvY3" . "VtZW50IElEIG9yIGEgZ" . "G9jdW1lbnQgb2JqZWN0"), "_3aec16c1aa210" . "4da778e412207d" . "6c415" => base64_decode("L15cZHsxNH" . "18XGR7OH0k" . "Lw=="), "_2cb499b451eb718f841aaa78d" . "c70cc52" => base64_decode("IiBmb3IgZGF0Z" . "S10aW1lIGZpZW" . "xkIA=="), "_a827c5bc10b" . "88ccab760d95" . "c58bfbeaa" => base64_decode("Q291bGQg" . "bm90IHBh" . "cnNlIHZh" . "bHVlICI="), "_27ba77e349cb" . "e144e8794d0c0" . "497a106" => base64_decode("IiBnaXZlbiBmb3Igc" . "2VsZWN0IGZpZWxkIA" . "=="), "_d155d43a39de93f858123c6b6ce31" . "d8a" => base64_decode("cHJlZ" . "19tYX" . "RjaA=" . "="), "_d013620d4b3" . "6b1d03509cbe" . "ff31bbdb9" => base64_decode("IiBnaXZlbiBmb3Ig" . "bnVtZXJpYyBmaWVs" . "ZCA="));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_dc99f29eb97c274b4e47f67" . "01fb2d842"] . $key . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_fa96cdf58bff3b0695fb2b" . "c0803d7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_62d701c3c53404f06345eb3" . "5720a47b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_4b4a03dbe" . "69a4c39db0" . "14be2875a7" . "313"] . $value . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_d013620d4b36b1d03" . "509cbeff31bbdb9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d155d43a39de93f85" . "8123c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_3aec16c1" . "aa2104da7" . "78e412207" . "d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a827c5bc10b88ccab760d" . "95c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2cb499b451" . "eb718f841aa" . "a78dc70cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_bd71c3b5c201fc11db" . "82ed14ce424de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_66a6b98e1f160" . "1e30de10feb344" . "fcdb6"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_27ba77e34" . "9cbe144e87" . "94d0c0497a" . "106"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_62d701c" . "3c53404f" . "06345eb3" . "5720a47b" . "4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_bb26699a673361ff7c1" . "7444a2a82deba"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_535e3fcb3f5d89c525bb618a08c" . "c8dcc"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d155d43a39de93f85812" . "3c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_ac927f41" . "68510971a" . "59508f1f0" . "8cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_a827c5bc10b88ccab760d95c58b" . "fbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_a7fdbac2a6d0ebb5b" . "b8ea569e8173d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}